Subject: Re: [bitcoin-dev] Wrapping up the block size debate with voting

From: Pieter Wuille <[email-masked]>
Date: Fri, 7 Aug 2015 01:32:12 +0200

On Fri, Aug 7, 2015 at 1:26 AM, Dave Scotese via bitcoin-dev <
[email-masked]> wrote:

"Miners can do this unilaterally" maybe, if they are a closed group, based
> on the 51% rule. But aren't they using full nodes for propagation?  In this
> sense, anyone can vote by coding.
>

They don't need to use full nodes for propagation. Miners don't care when
other full nodes hear about their blocks, only whether they (eventually)
accept them.

And yes, full nodes can change what blocks they accept. That's called a
hard fork :)

-- 
Pieter